This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 231936 - Possible flaw in IO error handling leads to inability to read music cds
Possible flaw in IO error handling leads to inability to read music cds
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks: FC7Target
  Show dependency treegraph
 
Reported: 2007-03-12 23:14 EDT by David Nielsen
Modified: 2013-03-05 22:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-13 01:29:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
hal output with/without cd inserted and lshal with cd inserted (97.32 KB, text/plain)
2007-03-13 00:52 EDT, David Nielsen
no flags Details

  None (edit)
Description David Nielsen 2007-03-12 23:14:25 EDT
Description of problem:
I've been adding a ton of CDs to my music storage and I found that given enough
CDs (typically 2 to 5), I'll hit a problem where my CD will not get listed in my
 application (Attempted using banshee and Sound-juicer) and any subsequent cd
inserted will not get listed either. If I attempt to open the same cd in
gnome-cd while affected by this problem it reads and plays just fine. After a
reboot the same CD will likely read and get listed just fine.

I noticed the following in dmesg:

Buffer I/O error on device sr0, logical block 0
Buffer I/O error on device sr0, logical block 1
Buffer I/O error on device sr0, logical block 2
Buffer I/O error on device sr0, logical block 3
Buffer I/O error on device sr0, logical block 4
Buffer I/O error on device sr0, logical block 5
Buffer I/O error on device sr0, logical block 6
Buffer I/O error on device sr0, logical block 7
Buffer I/O error on device sr0, logical block 8
Buffer I/O error on device sr0, logical block 9
end_request: I/O error, dev sr0, sector 0

Which leads me to think that HAL might not handle this IO error.

Version-Release number of selected component (if applicable):
udev-106-1.fc7
hal-0.5.9-0.git20070304.fc7
kernel-2.6.20-1.2982.fc7
ConsoleKit-0.1.3-0.git20070301.1.fc7

How reproducible:
100% (given enough samples)

Steps to Reproduce:
1. Rip cd
2. eject
3. repeat untill hitting bug
Comment 1 David Zeuthen 2007-03-12 23:22:30 EDT
OK. Try removing the problematic CD and run 

 # /usr/sbin/hald --daemon=no --verbose=yes

This generates a lot of output. Press return a few times to separate it. Now
insert the CD and attach the output it generated from the hald process. Also,
please attach lshal output when the CD is inserted. Thanks.
Comment 2 David Nielsen 2007-03-13 00:52:48 EDT
Created attachment 149901 [details]
hal output with/without cd inserted and lshal with cd inserted

This CD not only triggers the bug, it crashes Banshee when attempting to rip it
and it's 100% repeatable. The requested information is attached.
Comment 3 David Zeuthen 2007-03-13 01:12:26 EDT
The attachment in comment 2 indicates it's a mixed CD, yes? Perhaps Banshee /
Sound Juicer don't handle that well. This doesn't look like a HAL bug at all...
what makes you think it is?

Comment 4 David Nielsen 2007-03-13 01:29:24 EDT
I had to file it somewhere, since I could read the cd using non-hal apps I
assumed HAL was the logical place to look. Also while this is a mixed mode CD,
when I first started hitting this it happened quite a random and the same CD
worked after a reboot but all apps using HAL would refuse it list the CD after
hitting. 

It might be 2 seperate issues, the mixed mode thing is likely something the
applications need to worry about. I was just so pleased I found a single CD that
seemed to repeatedly hit this bug since I'd gone through a stack of maybe 15-20
cds without provoking the bug which was earlier today occuring fairly often.

I'm closing this NOTABUG, if I hit the bug on a regular CD then I'll reopen with
the information you requested.

Note You need to log in before you can comment on or make changes to this bug.